%define shortname gdamm
%define release 1
# api is the part of the library name before the .so
%define api 1.3
# major is the part of the library name after the .so
%define major 8
%define lib_name %mklibname %{shortname}%{major}

Name:           libgdamm

#(!) summary for SRPM only
Summary:        C++ wrappers for libgda
Version:        1.3.7
Group: 		System/Libraries
License:	GPL
Release:        %mkrel %release
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgdamm/1.3/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  glibmm2.4-devel, gda1.2-devel

%description
#Full and generic description of the whole package. (this will be the SRPM
#description only)
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

#main package (contains ''.so.[major].''' only)
%package -n     %{lib_name}

#(!) summary for main lib RPM only
Summary:        Main library for gdamm
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

%package -n     %{lib_name}-devel
Summary:        Headers for developing programs that will use gda
Group:          Development/GNOME and GTK+
Requires:       %{lib_name} = %{version}
#(!) '''''MANDATORY'''''
Provides:       %{lib_name}-devel = %{version}-%{release} 
#(!) '''''MANDATORY'''''
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains headers and libraries that programmers will need
to develop applications which use libgdamm.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --enable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
# ..
# include the major number (and api if present) in the file list to catch
#changes on version upgrade
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/lib*-%{api}.so.%{major}*

%files -n %{lib_name}-devel
%{_includedir}/libgdamm-2.0
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libgdamm-2.0
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jan 05 2007 Jérôme Soyer <saispo@mandriva.org> 1.3.7-1mdv2007.0
+ Revision: 104419
- Fix many errors i made =)
- Go for building
- Import libgdamm



* Thu Dec 14 2006 Jerome Soyer <saispo@mandriva.org> 1.3.7-1mdv2007.0
- Enter in mdv ! =)
